clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure Struct Reference

Holds an identifier name check failure, tracking the kind of the identifier, its possible fixup and the starting locations of all the identifier usages. More...

`#include <IdentifierNamingCheck.h>`

Collaboration diagram for clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure:
[legend]

## Public Member Functions
bool | ShouldFix () const
| Whether the failure should be fixed or not. More...
bool | ShouldNotify () const
| NamingCheckFailure ()=default

## Public Attributes
std::string | KindName
std::string | Fixup
ShouldFixStatus | FixStatus = ShouldFixStatus::ShouldFix
llvm::DenseSet< unsigned > | RawUsageLocs
| A set of all the identifier usages starting SourceLocation, in their encoded form. More...

## Detailed Description

Holds an identifier name check failure, tracking the kind of the identifier, its possible fixup and the starting locations of all the identifier usages.

Definition at line 89 of file IdentifierNamingCheck.h.

## Constructor & Destructor Documentation

## ◆ NamingCheckFailure()

clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::NamingCheckFailure | ( |  | ) |
| default

## Member Function Documentation

## ◆ ShouldFix()

bool clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::ShouldFix | ( |  | ) | const
| inline

Whether the failure should be fixed or not.

ie: if the identifier was used or declared within a macro we won't offer a fixup for safety reasons.

Definition at line 97 of file IdentifierNamingCheck.h.

References clang::tidy::readability::IdentifierNamingCheck::ShouldFix.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

## ◆ ShouldNotify()

bool clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::ShouldNotify | ( |  | ) | const
| inline

Definition at line 99 of file IdentifierNamingCheck.h.

References clang::tidy::readability::IdentifierNamingCheck::IgnoreFailureThreshold.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

## Member Data Documentation

## ◆ FixStatus

ShouldFixStatus clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::FixStatus = ShouldFixStatus::ShouldFix

Definition at line 103 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

## ◆ Fixup

std::string clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::Fixup

Definition at line 91 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

## ◆ KindName

std::string clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::KindName

Definition at line 90 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

## ◆ RawUsageLocs

llvm::DenseSet<unsigned> clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::RawUsageLocs

A set of all the identifier usages starting SourceLocation, in their encoded form.

Definition at line 107 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

The documentation for this struct was generated from the following file:

- IdentifierNamingCheck.h